Bug 789234 - /etc/rc.d/init.d/libvirtd has "Should-Start: hal" line
/etc/rc.d/init.d/libvirtd has "Should-Start: hal" line
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Peter Krempa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 01:43 EST by Alexander Murashkin
Modified: 2012-03-17 19:45 EDT (History)
11 users (show)

See Also:
Fixed In Version: libvirt-0.9.6-5.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-17 19:45:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexander Murashkin 2012-02-10 01:43:33 EST
Description of problem:

/etc/rc.d/init.d/libvirtd file has the following line

# Should-Start: hal

In accordance with http://fedoraproject.org/wiki/Features/HalRemoval HAL is not used by libvirtd.

As a side effect of this line systemctl --all list-units command reports hal.service error

# systemctl --all list-units
...
hal.service               error  inactive dead          hal.service
...

Version-Release number of selected component (if applicable):

libvirt-0.9.6-4.fc16.x86_64

How reproducible:

Steps to Reproduce:

1. Install libvirt-0.9.6-4.fc16.x86_64
2. Run grep hal /etc/rc.d/init.d/libvirtd
3. Run systemctl --all list-units | grep hal.service

Actual results:

/etc/init.d/libvirtd file has the following line
# Should-Start: hal

systemctl --all list-units output has the following line
hal.service   error  inactive dead     hal.service

Expected results:

/etc/init.d/libvirtd file does not have the line
systemctl --all list-units does not show hal.service

Additional info:
Comment 1 Peter Krempa 2012-03-02 10:59:41 EST
Fixed upstream:

commit 2dcca3ec0a28c6562ebfbe7a5eae4729fb5de904
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Fri Mar 2 15:12:32 2012 +0100

    daemon: Remove deprecated HAL from init script dependencies
    
    The init script for the daemon requests to start HAL although it has
    been deprecated long time ago. This patch removes the dependency.
Comment 2 Peter Krempa 2012-03-02 11:28:10 EST
The upstream commit should be backported to F16.
Comment 3 Fedora Update System 2012-03-04 11:21:36 EST
libvirt-0.9.6-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libvirt-0.9.6-5.fc16
Comment 4 Fedora Update System 2012-03-06 14:34:04 EST
Package libvirt-0.9.6-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.9.6-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3067/libvirt-0.9.6-5.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-03-17 19:45:17 EDT
libvirt-0.9.6-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.